Bug 185260 - Review Request: python-chm - Python package for CHM files handling
Review Request: python-chm - Python package for CHM files handling
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 185261
  Show dependency treegraph
 
Reported: 2006-03-12 16:36 EST by Patrice Dumas
Modified: 2012-08-10 09:56 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-17 14:02:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2006-03-12 16:36:06 EST
SRPM Name or Url: http://www.environnement.ens.fr/perso/dumas/fc-srpms/python-chm-0.8.2-1.src.rpm
Description: 

The python chm package provides three modules, chm, chmlib and extra,
which provide access to the API implemented by the C library chmlib
and some additional classes and functions. They are used to access
MS-ITSS encoded files - Compressed Html Help files (.chm).
Comment 1 Patrice Dumas 2006-03-14 16:38:05 EST
Better handling of .pyo files here:

http://www.environnement.ens.fr/perso/dumas/fc-srpms/python-chm-0.8.2-2.src.rpm
Comment 2 John Mahowald 2006-03-17 11:47:27 EST
Good:

- rpmlint checks return:
W: python-chm-debuginfo objdump-failed
Not critical.

- package meets naming guidelines
- package meets packaging guidelines, following python template
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED
Comment 3 Patrice Dumas 2006-03-17 14:02:09 EST
Builds in devel, thanks.
Comment 4 Narasimhan 2011-06-14 09:06:06 EDT
Package Change Request
======================
Package Name: python-chm
New Branches: el6
Owners: narasim sherry151 pertusus

I have requested commit access to fedora devel and epel 5 branches. Patrice Dumas has asked me to be the owner for el6 https://bugzilla.redhat.com/show_bug.cgi?id=713044. This package is required in el6 because chm2pdf is dependent on this package and security update to chm2pdf is required in el6.
Comment 5 Jason Tibbitts 2011-06-14 09:24:08 EDT
Git done (by process-git-requests).
Comment 6 Narasimhan 2012-08-07 10:05:18 EDT
Requesting to unretire the devel (master) branch. I maintain chm2pdf which requires python-chm.
Comment 7 Gwyn Ciesla 2012-08-07 10:22:32 EDT
Unretired, take ownership in pkgdb.
Comment 8 Narasimhan 2012-08-10 09:52:41 EDT
Package Change Request
======================
Package Name: python-chm
New Branches: f18
Owners: narasim
Comment 9 Gwyn Ciesla 2012-08-10 09:56:07 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.